// Arup Guha
// 6/6/2015
// Solution to SI@UCF Competition Camp Contest #1 Problem E: Don't Cross the Beams
// Edited to handle one case for 2016 SI@UCF Contest #2

import java.util.*;

public class beams_arup {

	public static void main(String[] args) {

		// Read in the string.
		Scanner stdin = new Scanner(System.in);
		String list = stdin.next();

		LinkedList<Character> left = new LinkedList<Character>();
		int i = 0;

		// Process string in chucks of the same letter.
		while (i < list.length()) {

			// Find string of matching characters.
			int j = i;
			while (j < list.length() && list.charAt(j) == list.charAt(i)) j++;

			// Only if it's odd might we add something...
			if ((j-i)%2 == 1) {

				// Odd letter out, so add it.
				if (left.size() == 0 || left.peekLast().charValue() != list.charAt(i))
					left.offer(list.charAt(i));

				// Matches with other odd letter, so clear it!
				else
					left.pollLast();
			}

			// Advance to next group.
			i = j;
		}
			

		// If first and last match, it's perfect.
		if (left.size() < 2 || left.peekFirst().equals(left.peekLast()))
			System.out.println(list.length()/2);

		// Otherwise there is one possibility we can't draw.
		else
			System.out.println(list.length()/2-1);
	}
}
