import java.util.*;

public class one {
	
	public static void main(String[] args)  {
		
		Scanner in= new Scanner(System.in);
		
		int a = in.nextInt();
		int b = in.nextInt();
			
		int x = -1;
		int y = -1;
		/*
		 Let's say that g is a possible gcd.
		 A possible x,y pair must be of the form x = n*g and y = m*g
		 where n and m are integers since x and y are divisible by g.
		 In the optimal solution n must be the smallest integer such that
		 g*n >= a. The optimal value for m is then simply n+1. The smallest value
		 for y is then (n+1)*g, and this value must be <= b
		
		 It is possible to loop over all the possible gcds of the answer and simply try each one.
		 */
		for(int gcd = 1; gcd <= b/2; gcd++){ //checking gcds over b/2 is useless, but it doesn't make your code wrong
			
			int n = (a+gcd-1)/gcd; //this is a way to compute the ceiling of a/gcd
			
			if(n*gcd+gcd <= b){ //if (n+1)*g <= b then this is a valid gcd
				x = n*gcd; //overwrite x and y since this is the largest gcd so far
				y = n*gcd+gcd;
			}
				
		}
			
		System.out.println(x + " " + y);
		
		in.close();
	}

}
