// Arup Guha
// 7/11/2017
// Solution to SI@UCF Contest #2 Problem: One Dimensional Sovreigns

import java.util.*;

public class one_arup {

	public static void main(String[] args) {

		Scanner stdin = new Scanner(System.in);
		int low = stdin.nextInt();
		int high = stdin.nextInt();

		// Try each GCD.
		int gcd, start=-1, end=-1;
		for (gcd=high-low+1; gcd>=1; gcd--) {

			// Calculate the starting point for this gcd.
			start = gcd*(low/gcd);
			if (start < low) start += gcd;

			// And the ending point.
			end = start+gcd;

			// Both are in range!
			if (end <= high) break;
		}

		// Ta da!
		System.out.println(start+" "+end);
	}

}