import java.util.Scanner;

public class pangrams_garrison {

	public static void main(String[] args) {
		Scanner scan = new Scanner(System.in);
		
		// This will store whether we've seen a given letter.
		boolean[] letters = new boolean[26];
		
		/*
		 * Scan in the string and convert to lower case (since the problem does not distinguish 
		 * between upper and lower case).
		 */
		String input = scan.nextLine().toLowerCase();
		
		// Go through all the characters in the string.
		for (char c : input.toCharArray()) {
			// If the character is a letter, set it true in the array.
			if (c >= 'a' && c <= 'z') letters[c - 'a'] = true;
		}
		
		// Count how many letters we've seen.
		int count = 0;
		for (int i = 0; i < 26; i++) {
			if (letters[i]) count++;
		}

		// Print out the appropriate response.
		if (count == 26) System.out.println("YES");
		else System.out.println("NO");
	}

}
