// Arup Guha
// 7/11/2016
// Solution to SI@UCF Contest 2 Problem: Sum of Cubes

import java.util.*;

public class cubes_arup {

	public static void main(String[] args) {

		// Get the input.
		Scanner stdin = new Scanner(System.in);
		long n = stdin.nextLong();

		// Starting point for our pointers.
		long low = 1L;
		long high = 1000000L;
		int res = 0;

		// Keep on going until our pointers cross over.
		while (low <= high) {

			// Calculate the sum of these two cubes.
			long value = low*low*low + high*high*high;

			// Value missed, so adjust either high or low accordingly.
			if (value > n) high -= 1;
			else if (value < n) low += 1;

			// Got a hit!
			else {
				res++;
				high -= 1;
				low += 1;
			}
		}

		// Output the result.
		System.out.println(res);
	}
}
