/*
Eric Ly
SI-UCF 2016
Problem Sum of Cubes
*/
#include <algorithm>
#include <iostream>
#include <vector>

#define ll long long

using namespace std;

int main()
{
	ll n; cin >> n;
	vector<ll> vs;
	// Generate every perfect cube
	for(ll i = 1; i <= 1000000; i++) vs.push_back(i*i*i);
	int ret = 0;
	int rp = vs.size()-1;
	// We do a 2-pointer sweep to see how many pairs sum to n
	for(int i = 0; i < vs.size() && i <= rp; i++)
	{
		// While we can move our right pointer back and the vs[rp] > target, move it back because the list is sorted
		while(rp >= 0 && vs[rp] > n-vs[i]) rp--;
		if(rp < i) break;
		if(vs[rp]+vs[i] == n) ret++;
	}
	cout << ret << endl;
	return 0;
}
